User Tools

Site Tools


installing_gputils_and_sdcc_on_osx

Differences

This shows you the differences between two versions of the page.

Link to this comparison view

Both sides previous revision Previous revision
installing_gputils_and_sdcc_on_osx [2012/05/19 16:15]
admin
installing_gputils_and_sdcc_on_osx [2012/07/04 18:43] (current)
admin needs some more work, but sourceforge currently unreachable
Line 5: Line 5:
 And more than that: you are able to [[how to use xcode2 as ide on a mac|use Apple'​s powerful Xcode as IDE]] and don't leave that except for sending the .syx file! You can even [[MIOS C Simulator - Debugger|debug your MIOS C-Applications]] - although this is in an early development state, please contribute code! //​audiocommander.//​ And more than that: you are able to [[how to use xcode2 as ide on a mac|use Apple'​s powerful Xcode as IDE]] and don't leave that except for sending the .syx file! You can even [[MIOS C Simulator - Debugger|debug your MIOS C-Applications]] - although this is in an early development state, please contribute code! //​audiocommander.//​
  
-The first step in this process is to install SDCC. If you have already SDCC running and calling "sdcc -v" in terminal ​gives you the info you're running 2.5or higher, you have the most complicated step already completed!+The first step in this process is to install SDCC. If you have already SDCC running and calling "sdcc -v" in terminal ​should give you the info you're running 2.8.0. The usage of different versions isn't recommended as the MIOS Wrapper is very sensitive to the compiled code!
  
 \\ \\
Line 22: Line 22:
 sometimes you have to call these with "​sudo",​ esp. "sudo make install"​. sometimes you have to call these with "​sudo",​ esp. "sudo make install"​.
  
-If you have problems compiling and installing SDCC, you might lack a library.+If you have problems compiling and installing SDCC 2.8.0, you might lack a library.
  
 Here is what you should have installed (in this particularly order) Here is what you should have installed (in this particularly order)
Line 32: Line 32:
  
 ==== Compiling for PIC18F4685? ==== ==== Compiling for PIC18F4685? ====
-If you want to compile for the PIC18F4685, you need a later version of GPUTILS than 0.13.4, ​at the moment you need to compile GPUTILS for yourself thenBut it runs smoothly on OS X (tried on 10.5).\\+If you want to compile for the PIC18F4685, you need a later version of GPUTILS than 0.13.4. The usage of 0.13.7 is highly recommendednewer versions may fail with SDCC 2.8.0.\\
  
 **Following the instructions from [[http://​gputils.sourceforge.net/​|here]] we get:** **Following the instructions from [[http://​gputils.sourceforge.net/​|here]] we get:**
installing_gputils_and_sdcc_on_osx.txt ยท Last modified: 2012/07/04 18:43 by admin